﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ReloadingSample
{
  /// <summary>
  /// Interaction logic for LoadedCounter.xaml
  /// </summary>
  public partial class LoadedCounter : UserControl
  {
    /// <summary>
    /// Counts the number of times the <c>Loaded</c>
    /// event has been invoked.
    /// </summary>
    private int loadedCount = 0;

    /// <summary>
    /// Counts the number of times the <c>Initialized</c>
    /// event has been invoked.
    /// </summary>
    private int initializedCount = 0;

    public LoadedCounter()
    {
      InitializeComponent();
    }


    /// <summary>
    /// Increments the <see cref="loadedCount"/> field and
    /// displays the number of invocations on the UI.
    /// </summary>
    private void OnLoaded(object sender, RoutedEventArgs e)
    {
      loadedCount++;
      txtLoadCount.Text = loadedCount.ToString();
    }

    private void OnInitialized(object sender, EventArgs e)
    {
      initializedCount++;
      txtInitializeCount.Text = initializedCount.ToString();
    }
  }
}
